ReflectionException (Java SE 17 & JDK 17)
Description: declaration: module: java.management, package: javax.management, class: ReflectionException
Keywords: javax.management.ReflectionException class

Module java.management
Package javax.management

# Class ReflectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.ReflectionException

All Implemented Interfaces:
  `Serializable`

public class ReflectionException extends JMException
Represents exceptions thrown in the MBean server when using the java.lang.reflect classes to invoke methods on MBeans. It "wraps" the actual java.lang.Exception thrown.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectionException(Exception e)`
  Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
  `ReflectionException(Exception e, String message)`
  Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Returns the actual `Exception` thrown.
  `Exception`
  `getTargetException()`
  Returns the actual `Exception` thrown.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReflectionException

    public ReflectionException(Exception e)
    Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
    Parameters:
      `e` - the wrapped exception.

  - ### ReflectionException

    public ReflectionException(Exception e, String message)
    Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.
    Parameters:
      `e` - the wrapped exception.
      `message` - the detail message.

- ## Method Details

  - ### getTargetException

    public Exception getTargetException()
    Returns the actual `Exception` thrown.
    Returns:
      the wrapped `Exception`.

  - ### getCause

    public Throwable getCause()
    Returns the actual `Exception` thrown.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the wrapped `Exception`.